Bug 1044778 - wandboard uboot missing serial line speed in console environment variable
Summary: wandboard uboot missing serial line speed in console environment variable
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Keywords: Reopened
Depends On:
Blocks: ARMTracker F21BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-12-19 00:21 UTC by Brendan Conoboy
Modified: 2014-10-31 02:42 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-31 02:42:21 UTC


Attachments (Terms of Use)

Description Brendan Conoboy 2013-12-19 00:21:45 UTC
The uboot in F20 for the wandboard does not set the speed of the serial line.  It should include ",115200" after the device name.  Without this setting the default console setting will not display kernel boot messages on the serial port.

Comment 1 Paul Whalen 2014-05-08 19:42:22 UTC
This also affects rawhide images and sysboot.

Comment 2 Tim Flink 2014-07-09 18:38:54 UTC
Discussed at the 2014-07-09 Fedora 21 alpha blocker review meeting. Accepted as a blocker for Fedora 21 alpha due to violation of the following alpha release criteria for a supported ARM board [1]:

A system installed without a graphical package set must boot to a state where it is possible to log in through at least one of the default virtual consoles. 

[1] https://fedoraproject.org/wiki/Fedora_21_Alpha_Release_Criteria#Expected_installed_system_boot_behavior

Comment 3 Adam Williamson 2014-07-30 17:19:42 UTC
Discussed at 2014-07-30 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-07-30/f21-blocker-review.2014-07-30-15.59.log.txt . This bug appears not to be moving, though it looks like a simple fix - any word, Dennis? Thanks!

Comment 4 Kamil Páral 2014-08-13 17:45:53 UTC
Discussed at the 2014-08-13 blocker review meeting:
http://meetbot.fedoraproject.org/fedora-blocker-review/2014-08-13/
<dgilmore> I have started updating u-boot
<dgilmore> to a newer upstream build
<dgilmore> and im not sure this will actually be fixed, its not totally a bug
<pschindl> #info dgilmore works on this (bug 1044778).

Comment 5 Kamil Páral 2014-08-13 17:59:46 UTC
And:
<tflink> #info the requested patch for wandboard console speed is a divergence from upstream and they need to be consulted before we start changing things. will discuss blocker status once that conversation has happened

Comment 6 Josef Skladanka 2014-08-20 17:06:12 UTC
Discussed in 2014-08-20 Blocker Review Meeting [1].

RejectedBlocker AcceptedFreezeException - After re-evaluation, this affects only a single board and does not deserve a blocker status. We will still accept the patch during freeze to make this board work.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-08-20/

Comment 7 Josef Skladanka 2014-08-20 17:07:53 UTC
Patch to the above comment's explanation:

RejectedBlocker AcceptedFreezeException - After re-evaluation, this affects a single board and doesn't prevent serial console from working - just working at the same speed that other boards work at. There are also some questions on whether we would want to diverge from upstream if they did not agree to take the patch, making FE better for this particular bug.

Comment 8 Adam Williamson 2014-10-15 17:39:24 UTC
Discussed at 2014-10-15 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-10-15/f21-blocker-review.2014-10-15-16.04.log.txt . pwhalen says this was only fixed for Rawhide, but it was filed for F20 and accepted as an FE for F21. Peter, can you either apply the fix to F20 and/or F21 or explain that it's not appropriate for those releases? Thanks!

Comment 9 Fedora Update System 2014-10-16 06:59:01 UTC
uboot-tools-2014.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uboot-tools-2014.10-1.fc21

Comment 10 Peter Robinson 2014-10-16 07:33:28 UTC
It is fixed in this update

https://admin.fedoraproject.org/updates/uboot-tools-2014.10-1.fc21

Not sure why bodhi didn't update this bug as it is referenced.

Comment 11 Fedora Update System 2014-10-16 17:19:04 UTC
Package uboot-tools-2014.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing uboot-tools-2014.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12949/uboot-tools-2014.10-1.fc21
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-10-24 16:56:14 UTC
uboot-tools-2014.10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uboot-tools-2014.10-3.fc21

Comment 13 Fedora Update System 2014-10-28 03:49:41 UTC
uboot-tools-2014.10-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uboot-tools-2014.10-4.fc21

Comment 14 Paul Whalen 2014-10-30 19:25:36 UTC
Fixed and included in RC4.

Comment 15 Fedora Update System 2014-10-31 02:42:21 UTC
uboot-tools-2014.10-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.